bits.h File Reference

Do not use, only contains deprecated defines. More...

## Macros

#define | hexdigit(x) (((x) <= '9') ? (x) - '0' : ((x) & 7) + 9)
#define | error_ptr(error) ((void*)error)
#define | error_description(error) (json_tokener_get_error(error))
#define | is_error(ptr) (ptr == NULL)

## Detailed Description

Do not use, only contains deprecated defines.

Deprecated:
  Use json_util.h instead.

Id
  bits.h,v 1.10 2006/01/30 23:07:57 mclark Exp

Copyright (c) 2004, 2005 Metaparadigm Pte. Ltd. Michael Clark micha.nosp@m.el@m.nosp@m.etapa.nosp@m.radi.nosp@m.gm.co.nosp@m.m

This library is free software; you can redistribute it and/or modify it under the terms of the MIT license. See COPYING for details.

## Macro Definition Documentation

## error_description

#define error_description | ( |  | error | ) | (json_tokener_get_error(error))

Deprecated:

## error_ptr

#define error_ptr | ( |  | error | ) | ((void*)error)

Deprecated:

## hexdigit

#define hexdigit | ( |  | x | ) | (((x) <= '9') ? (x) - '0' : ((x) & 7) + 9)

Deprecated:

## is_error

#define is_error | ( |  | ptr | ) | (ptr == NULL)

Deprecated: